EnableInterrupt Library

Just starting on a new project where I need to measure pulse widths of 3 adjacent R/C servo signals, so downloaded and installed EnableInterrupt library.

Taken straight form the GitHub page, my code produces the error "expected primary-expression before ‘A2’ "

There’s nothing else in the sketch (except the empty functions), to cause the error, so confused as to what it is and why it is in error.

#include <EnableInterrupt.h>

void setup() {
  // put your setup code here, to run once:

enableInterrupt(uint8_t A0, void (hopperdoors)(void), uint8_t CHANGE);
enableInterrupt(uint8_t A1, void (releasesolenoids)(void), uint8_t CHANGE);
enableInterrupt(uint8_t A2, void (dimmablelights)(void), uint8_t CHANGE);

}

void loop() {
  // put your main code here, to run repeatedly:

}

Can anyone tell me what I am doing wrong please…

enableInterrupt( A0, hopperdoors, etc, etc

That was Simples !! Thanks…

Now I’ve got another strange error… I’m doing exactly the same thing in another sketch, which verifies fine…

2018-03-17_153952.jpg

daba:
Now I've got another strange error.... I'm doing exactly the same thing in another sketch, which verifies fine....

And . . . ?

GrooveFlotilla:
And . . . ?

See attached picture in my previous post....

I don't want a picture, I want to see code.

daba:
That was Simples !! Thanks....

Now I've got another strange error.... I'm doing exactly the same thing in another sketch, which verifies fine....

Its probably an error in your code somewhere.